// creator  : weidu.exe (version 23600)
// argument : NALIN.DLG
// game     : .
// source   : ./override/NALIN.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~NALIN~

IF ~  !PartyHasItem("MISC65")
True()
~ THEN BEGIN 0 // from:
  SAY #750 /* ~Ah, intrepid adventurers at our door. Helm guards over all the realms, and his servants are at your disposal. The Vigilant One stands ready to mend thy ailments and so divert the unyielding gaze of the Great Guide... for a suitable donation, of course. Just to demonstrate our mutual goodwill, you understand.~ */
  IF ~  Global("MetBrage","GLOBAL",0)
~ THEN DO ~SetGlobal("MetBrage","GLOBAL",1)
~ GOTO 1
  IF ~  PartyHasItem("MISC65")
~ THEN GOTO 2
  IF ~  Global("MetBrage","GLOBAL",1)
!PartyHasItem("MISC65")
~ THEN DO ~StartStore("Tem4802",LastTalkedToBy(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #753 /* ~Helm watch over you and our poor lost brother, Brage. A finer captain of the guard could nary be found this side of Amn. Such a strange change for one so devout as he. One does not usually change so drastically without nefarious help. If there be an evil influence on him, perhaps the harsh justice of the military should be stayed. He'll find no quarter at the garrison, but if he came to the temple... Well, his restitution need not be his life. Is there anything I can help you with?~ */
  IF ~~ THEN REPLY #15277 /* ~Yes, what kind of services do you provide?~ */ DO ~StartStore("Tem4802",LastTalkedToBy(Myself))
~ UNSOLVED_JOURNAL #27303 /* ~The Tale of Captain Brage
Nalin at the Temple of Helm in Nashkel seems to think that Brage might be under the influence of some evil force. If I return Brage to the temple, he might not be killed for his crimes.~ */ EXIT
  IF ~~ THEN REPLY #15278 /* ~Nothing at the moment.~ */ UNSOLVED_JOURNAL #27303 /* ~The Tale of Captain Brage
Nalin at the Temple of Helm in Nashkel seems to think that Brage might be under the influence of some evil force. If I return Brage to the temple, he might not be killed for his crimes.~ */ EXIT
  IF ~Global("X#BranwenBrage","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BranwenBrage","GLOBAL",1)~ EXTERN ~BRANWJ~ 29
END

IF ~  PartyHasItem("MISC65")
~ THEN BEGIN 2 // from: 0.1
  SAY #754 /* ~Poor Brage. It's a pity he could not have been recovered alive. He might yet have come to terms with his actions and repaid the debt he incurred. Now all we can do is say the proper prayers and make sure the way to the next world is well guided. May Helm have pity on his tortured soul. Thank you for bringing his body here. No doubt Oublek would have made much of his death and further despoiled his name. I shall match the bounty you would have received so that you have not risked so much for nothing. The temple is in your debt.~ */
  IF ~~ THEN DO ~EraseJournalEntry(26830)
EraseJournalEntry(26830)
EraseJournalEntry(26831)
EraseJournalEntry(26832)
EraseJournalEntry(26833)
EraseJournalEntry(26834)
EraseJournalEntry(26838)
EraseJournalEntry(27105)
EraseJournalEntry(27292)
EraseJournalEntry(27303)
EraseJournalEntry(26887)
EraseJournalEntry(26888)
EraseJournalEntry(27507)
TakePartyItem("MISC65")
GivePartyGold(250)
SetGlobal("OublekBounty1","GLOBAL",1)
~ SOLVED_JOURNAL #27304 /* ~The Tale of Captain Brage
The business with the Nashkel captain of the guard was certainly a tragic and confusing story. For better or worse, Brage has been dealt with.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #755 /* ~Calm yourself, Brage. Helm sees all that he wishes and knows much of what you do not. It was your hands indeed that did many a foul deed, but it was not your will alone. Intent is vital, and yours was influenced without your knowledge. Justice will be done, but with atonement, not punishment.~ */
  IF ~~ THEN EXTERN ~BRAGE~ 7
  IF ~Global("X#NALIN3","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#NALIN3","GLOBAL",1)~ EXTERN ~DYNAHJ~ 274
  IF ~Global("X#NALIN3","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#NALIN3","GLOBAL",1)~ GOTO 11
  IF ~Global("X#NALIN3","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#NALIN3","GLOBAL",1)~ EXTERN ~AJANTJ~ 299
END

IF ~~ THEN BEGIN 4 // from:
  SAY #757 /* ~If you are returned to the garrison, yours will be the only willful killing that has occurred about this matter. It would be a waste of your life which, fractured though it is, can still contribute much. Helm will see you through. As for our intrepid friends here, I shall exceed the reward offered by Oublek. After all, it was the same task of bringing Brage to justice. The temple is in your debt for the return of its lost son.~ */
  IF ~~ THEN DO ~EraseJournalEntry(26830)
EraseJournalEntry(26830)
EraseJournalEntry(26831)
EraseJournalEntry(26832)
EraseJournalEntry(26833)
EraseJournalEntry(26834)
EraseJournalEntry(26838)
EraseJournalEntry(27105)
EraseJournalEntry(27292)
EraseJournalEntry(27303)
EraseJournalEntry(26887)
EraseJournalEntry(26888)
EraseJournalEntry(27507)
SetGlobal("OublekBounty1","GLOBAL",1)
GivePartyGold(1000)
~ SOLVED_JOURNAL #27305 /* ~Brage's Life Spared
I have returned Brage to Nashkel, but to the temple of Helm instead of the garrison. Hopefully he can atone for his deeds and receive the help that he needs.~ */ EXIT
  IF ~Global("X#ImoenNalin","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ImoenNalin","GLOBAL",1)~ EXTERN ~IMOEN2~ 207
END

IF ~~ THEN BEGIN 5 // from:
  SAY #15279 /* ~Come to pay your respects to great Helm? If there is anything you need to assist in your journeys, you need but ask.~ */
  IF ~~ THEN REPLY #15280 /* ~What do you have?~ */ DO ~StartStore("Tem4802",LastTalkedToBy(Myself))
~ EXIT
  IF ~~ THEN REPLY #15281 /* ~Nothing for me today.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #45158 /* ~You envy a man who has slain everyone he loved?~ */
  IF ~~ THEN REPLY #15277 /* ~Yes, what kind of services do you provide?~ */ DO ~StartStore("Tem4802",LastTalkedToBy(Myself))
~ UNSOLVED_JOURNAL #27303 /* ~The Tale of Captain Brage
Nalin at the Temple of Helm in Nashkel seems to think that Brage might be under the influence of some evil force. If I return Brage to the temple, he might not be killed for his crimes.~ */ EXIT
  IF ~~ THEN REPLY #15278 /* ~Nothing at the moment.~ */ UNSOLVED_JOURNAL #27303 /* ~The Tale of Captain Brage
Nalin at the Temple of Helm in Nashkel seems to think that Brage might be under the influence of some evil force. If I return Brage to the temple, he might not be killed for his crimes.~ */ EXIT
  IF ~  InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.2
  SAY #45159 /* ~*shakes his head at Branwen* But you have not come here to talk about Brage at length. Do you have need of supplies that the Temple of Helm can procure?~ */
  IF ~~ THEN REPLY #15277 /* ~Yes, what kind of services do you provide?~ */ DO ~StartStore("Tem4802",LastTalkedToBy(Myself))
~ UNSOLVED_JOURNAL #27303 /* ~The Tale of Captain Brage
Nalin at the Temple of Helm in Nashkel seems to think that Brage might be under the influence of some evil force. If I return Brage to the temple, he might not be killed for his crimes.~ */ EXIT
  IF ~~ THEN REPLY #15278 /* ~Nothing at the moment.~ */ UNSOLVED_JOURNAL #27303 /* ~The Tale of Captain Brage
Nalin at the Temple of Helm in Nashkel seems to think that Brage might be under the influence of some evil force. If I return Brage to the temple, he might not be killed for his crimes.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #47040 /* ~Thank you again for your help.~ */
  IF ~~ THEN DO ~EraseJournalEntry(26830)
EraseJournalEntry(26830)
EraseJournalEntry(26831)
EraseJournalEntry(26832)
EraseJournalEntry(26833)
EraseJournalEntry(26834)
EraseJournalEntry(26838)
EraseJournalEntry(27105)
EraseJournalEntry(27292)
EraseJournalEntry(27303)
EraseJournalEntry(26887)
EraseJournalEntry(26888)
EraseJournalEntry(27507)
SetGlobal("OublekBounty1","GLOBAL",1)
GivePartyGold(1000)
~ SOLVED_JOURNAL #27305 /* ~Brage's Life Spared
I have returned Brage to Nashkel, but to the temple of Helm instead of the garrison. Hopefully he can atone for his deeds and receive the help that he needs.~ */ EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #47040 /* ~Thank you again for your help.~ */
  IF ~~ THEN DO ~EraseJournalEntry(26830)
EraseJournalEntry(26830)
EraseJournalEntry(26831)
EraseJournalEntry(26832)
EraseJournalEntry(26833)
EraseJournalEntry(26834)
EraseJournalEntry(26838)
EraseJournalEntry(27105)
EraseJournalEntry(27292)
EraseJournalEntry(27303)
EraseJournalEntry(26887)
EraseJournalEntry(26888)
EraseJournalEntry(27507)
SetGlobal("OublekBounty1","GLOBAL",1)
GivePartyGold(1000)
~ SOLVED_JOURNAL #27305 /* ~Brage's Life Spared
I have returned Brage to Nashkel, but to the temple of Helm instead of the garrison. Hopefully he can atone for his deeds and receive the help that he needs.~ */ EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #47040 /* ~Thank you again for your help.~ */
  IF ~~ THEN DO ~EraseJournalEntry(26830)
EraseJournalEntry(26830)
EraseJournalEntry(26831)
EraseJournalEntry(26832)
EraseJournalEntry(26833)
EraseJournalEntry(26834)
EraseJournalEntry(26838)
EraseJournalEntry(27105)
EraseJournalEntry(27292)
EraseJournalEntry(27303)
EraseJournalEntry(26887)
EraseJournalEntry(26888)
EraseJournalEntry(27507)
SetGlobal("OublekBounty1","GLOBAL",1)
GivePartyGold(1000)
~ SOLVED_JOURNAL #27305 /* ~Brage's Life Spared
I have returned Brage to Nashkel, but to the temple of Helm instead of the garrison. Hopefully he can atone for his deeds and receive the help that he needs.~ */ EXIT
END

IF ~~ THEN BEGIN 11 // from: 3.2
  SAY #50399 /* ~*Inclines his head to acknowledge his assent with Ajantis' words.*~ */
  IF ~~ THEN EXTERN ~BRAGE~ 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 275
END

IF ~~ THEN BEGIN 12 // from:
  SAY #50399 /* ~*Inclines his head to acknowledge his assent with Ajantis' words.*~ */
  IF ~~ THEN EXTERN ~BRAGE~ 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 276
END
